Net::DNS::RR::CNAME(3)

NAME
Net::DNS::RR::CNAME - DNS CNAME resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name CNAME cname');

    $rr = new Net::DNS::RR(
        name  => 'alias.example.com',
        type  => 'CNAME',
        cname => 'example.com',
        );

DESCRIPTION
Class for DNS Canonical Name (CNAME) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  cname
    $cname = $rr->cname;
    $rr->cname( $cname );

A domain name which specifies the canonical or primary name for the owner. The owner name is an alias.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

Portions Copyright (c)2002-2004 Chris Reinhardt.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.1